package com.shxy.i2.controller;

import com.shxy.i2.bean.ListModel;
import com.shxy.i2.bean.ResponseReult;
import com.shxy.i2.bean.ServiceBody;
import com.shxy.i2.bean.ServiceStatus;
import com.shxy.i2.service.XydlI2Service;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@Slf4j
public class CheckController {

    @Autowired
    XydlI2Service xydlI2Service;

    @RequestMapping("/list")
    public ResponseReult<ListModel> list() {
        ServiceBody<ListModel> serviceBody = xydlI2Service.list();
        if (serviceBody.getCode() == ServiceStatus.SUCCESS) {
            return ResponseReult.success(serviceBody.getData());
        } else {
            return ResponseReult.error(serviceBody.getCode(), serviceBody.getMsg());
        }
    }

}
