package com.shxy.i2.serviceimpl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.StrUtil;
import com.shxy.i2.Tool.AsyncMethod;
import com.shxy.i2.Tool.GenerateI2Xml;
import com.shxy.i2.bean.*;
import com.shxy.i2.constant.Constant;
import com.shxy.i2.dao.*;
import com.shxy.i2.dto.Data_YxlDto;
import com.shxy.i2.entity.*;
import com.shxy.i2.service.XydlI2Service;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

@Service
@Slf4j
//@EnableAsync
public class XydlI2ServiceImpl implements XydlI2Service {

    @Autowired
    private Data_SF6_QtylDao data_sf6_qtylDao;

    @Autowired
    private Data_Byq_JbfdDao data_byq_jbfdDao;

    @Autowired
    private Data_CnjDao data_cnjDao;

    @Autowired
    private Data_DcywDao data_dcywDao;

    @Autowired
    private Data_Dlq_JbfdDao data_dlq_jbfdDao;

    @Autowired
    private Data_Dr_JyjcDao data_dr_jyjcDao;

    @Autowired
    private Data_FhdlbxDao data_fhdlbxDao;

    @Autowired
    private Data_FhzxqDao data_fhzxqDao;

    @Autowired
    private Data_Jsyhw_JyjcDao data_jsyhw_jyjcDao;

    @Autowired
    private Data_SF6_QtsfDao data_sf6_qtsfDao;

    @Autowired
    private Data_TxDao data_txDao;

    @Autowired
    private Data_WsDao data_wsDao;

    @Autowired
    private Data_YspDao data_yspDao;

    @Autowired
    private Data_MicroclimateDao data_microclimateDao;

    @Autowired
    private Upload_checkDao upload_checkDao;

    @Autowired
    private Data_YxDao data_yxDao;

    @Autowired
    private Upload_StaticsDao upload_staticsDao;

    @Autowired
    AsyncMethod asyncMethod;

//    @Value("${webservice.sendlimit}")
//    public int sendlimit;

    public static int sendlimit = 1000;

    @Override
    public void upload_byq_jbfd(HashMap<Integer, Niec_Sensors> equipMap) {
        //查询目前上传的变压器局部放电的id   记录变压器局部放电上传的id大小
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.BYQJBFDID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Byq_Jbfd> data_byq_jbfdlist = data_byq_jbfdDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(data_byq_jbfdlist)) {
            log.info("查询byq_jbfd的数据量：" + data_byq_jbfdlist.size());
            log.info("查询byq_jbfd的数据量 sendlimit ：" + sendlimit);
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;

            for (int index = 0; index < data_byq_jbfdlist.size(); index++) {
                Data_Byq_Jbfd item = data_byq_jbfdlist.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float dischargecapacity = item.getDischargecapacity();
                        if (dischargecapacity != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("DischargeCapacity");
                            attr.setValue(dischargecapacity);
                            attrlist.add(attr);
                        }
                        Float dischargeposition = item.getDischargeposition();
                        if (dischargeposition != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("DischargePosition");
                            attr.setValue(dischargeposition);
                            attrlist.add(attr);
                        }
                        Float pulsecount = item.getPulsecount();
                        if (pulsecount != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("PulseCount");
                            attr.setValue(pulsecount);
                            attrlist.add(attr);
                        }
                        byte[] dischargewaveform = item.getDischargewaveform();
                        if (dischargewaveform != null) {
                            AttrBean<byte[]> attr = new AttrBean<>();
                            attr.setKey("DischargeWaveform");
                            attr.setValue(dischargewaveform);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.BYQ_JBFD, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        BigInteger id = item.getId();
                        SendDataBean sendDataBean = new SendDataBean();
                        sendDataBean.setEqmid(item.getEqmid());
                        sendDataBean.setMaxid(id);
                        if ((index != 0 && index % sendlimit == 0) || index == (data_byq_jbfdlist.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.BYQJBFDID);
        } else {
            log.info("没有查询byq_jbfd的数据量");
        }
    }

    @Override
    public void upload_cnj(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.CNJID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Cnj> list = data_cnjDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询cnj的数据量：" + list.size());
            log.info("查询cnj的数据量 sendlimit ：" + sendlimit);
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Cnj item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float chargetime = item.getChargetime();
                        if (chargetime != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("ChargeTime");
                            attr.setValue(chargetime);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.CNJ, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.CNJID);
        } else {
            log.info("没有查询cnj的数据量");
        }
    }

    @Override
    public void upload_dcyw(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.DCYWID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Dcyw> list = data_dcywDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询dcyw的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Dcyw item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float oiltemperature = item.getOiltemperature();
                        if (oiltemperature != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("OilTemperature");
                            attr.setValue(oiltemperature);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.DCYW, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.DCYWID);
        } else {
            log.info("没有查询dcyw的数据量");
        }
    }

    @Override
    public void upload_dlq_jbfd(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.DLQJBFDID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Dlq_Jbfd> list = data_dlq_jbfdDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询dlq_jbfd的数据量：" + list.size());
            log.info("查询dlq_jbfd的数据量 sendlimit ：" + sendlimit);
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Dlq_Jbfd item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float dischargecapacity = item.getDischargecapacity();
                        if (dischargecapacity != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("DischargeCapacity");
                            attr.setValue(dischargecapacity);
                            attrlist.add(attr);
                        }
                        Float dischargeposition = item.getDischargeposition();
                        if (dischargeposition != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("DischargePosition");
                            attr.setValue(dischargeposition);
                            attrlist.add(attr);
                        }
                        Float pulsecount = item.getPulsecount();
                        if (pulsecount != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("PulseCount");
                            attr.setValue(pulsecount);
                            attrlist.add(attr);
                        }
                        byte[] dischargewaveform = item.getDischargewaveform();
                        if (dischargewaveform != null) {
                            AttrBean<byte[]> attr = new AttrBean<>();
                            attr.setKey("DischargeWaveform");
                            attr.setValue(dischargewaveform);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.DLQJBFD, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.DLQJBFDID);
        } else {
            log.info("没有查询到dlq的数据");
        }
    }

    @Override
    public void upload_dr_jyjc(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.DRJYJCID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Dr_Jyjc> list = data_dr_jyjcDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询dr_jyjc的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;


            for (int index = 0; index < list.size(); index++) {
                Data_Dr_Jyjc item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float capacitance = item.getCapacitance();
                        if (capacitance != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Capacitance");
                            attr.setValue(capacitance);
                            attrlist.add(attr);
                        }
                        Float lossfactor = item.getLossfactor();
                        if (lossfactor != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("LossFactor");
                            attr.setValue(lossfactor);
                            attrlist.add(attr);
                        }
                        Float unbalancecurrent = item.getUnbalancecurrent();
                        if (unbalancecurrent != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("UnbalanceCurrent");
                            attr.setValue(unbalancecurrent);
                            attrlist.add(attr);
                        }
                        Float unbalancevoltage = item.getUnbalancevoltage();
                        if (unbalancevoltage != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("UnbalanceVoltage");
                            attr.setValue(unbalancevoltage);
                            attrlist.add(attr);
                        }
                        Float totalcurrent = item.getTotalcurrent();
                        if (totalcurrent != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("TotalCurrent");
                            attr.setValue(totalcurrent);
                            attrlist.add(attr);
                        }
                        Float systemvoltage = item.getSystemvoltage();
                        if (systemvoltage != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("SystemVoltage");
                            attr.setValue(systemvoltage);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.DRJYJC, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.DRJYJCID);
        } else {
            log.info("没有查询dr_jyjc的数据量");
        }
    }

    @Override
    public void upload_fhdlbx(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.FHDLBXID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Fhdlbx> list = data_fhdlbxDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询fhdlbx的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Fhdlbx item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Integer action = item.getAction();
                        if (action != null) {
                            AttrBean<Integer> attr = new AttrBean<>();
                            attr.setKey("Action");
                            attr.setValue(action);
                            attrlist.add(attr);
                        }
                        byte[] loadwaveform = item.getLoadwaveform();
                        if (loadwaveform != null) {
                            AttrBean<byte[]> attr = new AttrBean<>();
                            attr.setKey("LoadWaveform");
                            attr.setValue(loadwaveform);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.FHDLBX, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.FHDLBXID);
        } else {
            log.info("没有查询fhdlbx的数据量");
        }
    }

    @Override
    public void upload_fhzxq(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.FHZXQID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Fhzxq> list = data_fhzxqDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询fhzxq的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Fhzxq item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Integer action = item.getAction();
                        if (action != null) {
                            AttrBean<Integer> attr = new AttrBean<>();
                            attr.setKey("Action");
                            attr.setValue(action);
                            attrlist.add(attr);
                        }
                        byte[] coilwaveform = item.getCoilwaveform();
                        if (coilwaveform != null) {
                            AttrBean<byte[]> attr = new AttrBean<>();
                            attr.setKey("CoilWaveform");
                            attr.setValue(coilwaveform);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.FHZXQ, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.FHZXQID);
        } else {
            log.info("没有查询fhzxq的数据量");
        }
    }

    @Override
    public void upload_jsyhw_jyjc(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.JSYHWJYJCID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Jsyhw_Jyjc> list = data_jsyhw_jyjcDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询jsyhw_jyjc的数据量：" + list.size());
            log.info("查询jsyhw_jyjc的数据量 sendlimit ：" + sendlimit);
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Jsyhw_Jyjc item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float systemvoltage = item.getSystemvoltage();
                        if (systemvoltage != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("SystemVoltage");
                            attr.setValue(systemvoltage);
                            attrlist.add(attr);
                        }
                        Float totalcurrent = item.getTotalcurrent();
                        if (totalcurrent != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("TotalCurrent");
                            attr.setValue(totalcurrent);
                            attrlist.add(attr);
                        }
                        Float resistivecurrent = item.getResistivecurrent();
                        if (resistivecurrent != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("ResistiveCurrent");
                            attr.setValue(resistivecurrent);
                            attrlist.add(attr);
                        }
                        Float actioncount = item.getActioncount();
                        if (actioncount != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("ActionCount");
                            attr.setValue(actioncount);
                            attrlist.add(attr);
                        }
                        Date lastactiontime = item.getLastactiontime();
                        if (lastactiontime != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("LastActionTime");
                            attr.setValue(DateUtil.format(lastactiontime, DatePattern.NORM_DATETIME_PATTERN));
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.JSYHW, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.JSYHWJYJCID);
        } else {
            log.info("没有查询jsyhw_jyjc的数据量");
        }
    }

    @Override
    public void upload_sf6_qtsf(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.SF6QTSFID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_SF6_Qtsf> list = data_sf6_qtsfDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询sf6_qtsf的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_SF6_Qtsf item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float temperature = item.getTemperature();
                        if (temperature != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Temperature");
                            attr.setValue(temperature);
                            attrlist.add(attr);
                        }
                        Float moisture = item.getMoisture();
                        if (moisture != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Moisture");
                            attr.setValue(moisture);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.SF6_QTSF, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.SF6QTSFID);
        } else {
            log.info("没有查询sf6_qtsf的数据量");
        }
    }

    @Override
    public void upload_sf6_qtyl(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.SF6QTYLID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_SF6_Qtyl> list = data_sf6_qtylDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询sf6_qtyl的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_SF6_Qtyl item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float temperature = item.getTemperature();
                        if (temperature != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Temperature");
                            attr.setValue(temperature);
                            attrlist.add(attr);
                        }
                        Float absolutepressure = item.getAbsolutepressure();
                        if (absolutepressure != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("AbsolutePressure");
                            attr.setValue(absolutepressure);
                            attrlist.add(attr);
                        }
                        Float density = item.getDensity();
                        if (density != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Density");
                            attr.setValue(density);
                            attrlist.add(attr);
                        }
                        Float pressure20c = item.getPressure20c();
                        if (pressure20c != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Pressure20C");
                            attr.setValue(pressure20c);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.SF6_QTYL, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            log.info("开始传输");
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.SF6QTYLID);
        } else {
            log.info("没有查询到sf6_qtyl的数据");
        }
    }

    @Override
    public void upload_tx(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.TXID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Tx> list = data_txDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询tx的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Tx item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float totalcorecurrent = item.getTotalcorecurrent();
                        if (totalcorecurrent != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("TotalCoreCurrent");
                            attr.setValue(totalcorecurrent);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.TX, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.TXID);
        } else {
//                iscontiue = false;
            log.info("没有查询到tx的数据");
        }
//        }
    }

    @Override
    public void upload_ws(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.WSID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Ws> list = data_wsDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询ws的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Ws item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float moisture = item.getMoisture();
                        if (moisture != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Moisture");
                            attr.setValue(moisture);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.WS, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.WSID);
        } else {
            log.info("没有查询到ws的数据");
        }
    }

    @Override
    public void upload_ysp(HashMap<Integer, Niec_Sensors> equipMap) {
        //查询目前上传的油色谱的id   记录油色谱上传的id大小
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.YSPID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Ysp> list = data_yspDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询ysp的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Ysp item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float h2 = item.getH2();
                        if (h2 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("H2");
                            attr.setValue(h2);
                            attrlist.add(attr);
                        }
                        Float ch4 = item.getCh4();
                        if (ch4 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("CH4");
                            attr.setValue(ch4);
                            attrlist.add(attr);
                        }
                        Float c2h6 = item.getC2h6();
                        if (c2h6 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("C2H6");
                            attr.setValue(c2h6);
                            attrlist.add(attr);
                        }
                        Float c2h4 = item.getC2h4();
                        if (c2h4 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("C2H4");
                            attr.setValue(c2h4);
                            attrlist.add(attr);
                        }
                        Float c2h2 = item.getC2h2();
                        if (c2h2 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("C2H2");
                            attr.setValue(c2h2);
                            attrlist.add(attr);
                        }
                        Float co = item.getCo();
                        if (co != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("CO");
                            attr.setValue(co);
                            attrlist.add(attr);
                        }
                        Float co2 = item.getCo2();
                        if (co2 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("CO2");
                            attr.setValue(co2);
                            attrlist.add(attr);
                        }
                        Float o2 = item.getO2();
                        if (o2 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("O2");
                            attr.setValue(o2);
                            attrlist.add(attr);
                        }
                        Float n2 = item.getN2();
                        if (n2 != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("N2");
                            attr.setValue(n2);
                            attrlist.add(attr);
                        }
                        Float totalhydrocarbon = item.getTotalhydrocarbon();
                        if (totalhydrocarbon != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("TotalHydrocarbon");
                            attr.setValue(totalhydrocarbon);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.YSP, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        log.info("测试断点3");
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            log.info("测试断点4");
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            log.info("ysp组装完成，开始上传");
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.YSPID);
        } else {
            log.info("没有查询到ysp的数据");
        }
    }

    @Override
    public void upload_microclimate(HashMap<Integer, Niec_Sensors> equipMap) {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.MICROCLIMATEID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_Microclimate> list = data_microclimateDao.selectUploadById(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询microclimate的数据量：" + list.size());
            ArrayList<String> cacdatalist = new ArrayList<>();
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_Microclimate item = list.get(index);
                BigInteger ids = item.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                Niec_Sensors sensors = equipMap.get(item.getEqmid());
                if (sensors == null) {
                    continue;
                }
                String sensorid = sensors.getSensorCode();
                String equipmentid = sensors.getEquipmentId();
                String phase = sensors.getPhase();
                if (StrUtil.isNotEmpty(sensorid) && StrUtil.isNotEmpty(equipmentid)) {
                    ArrayList<AttrBean> attrlist = new ArrayList<>();
                    try {
                        String timestamp = "";
                        Date acquisitiontime = item.getAcquisitiontime();
                        if (acquisitiontime != null) {
                            timestamp = DateUtil.format(acquisitiontime, DatePattern.NORM_DATETIME_PATTERN);
                        }
                        if (phase != null) {
                            AttrBean<String> attr = new AttrBean<>();
                            attr.setKey("Phase");
                            attr.setValue(phase);
                            attrlist.add(attr);
                        }
                        Float airtemperature = item.getAirtemperature();
                        if (airtemperature != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("AirTemperature");
                            attr.setValue(airtemperature);
                            attrlist.add(attr);
                        }
                        Float airpressure = item.getAirpressure();
                        if (airpressure != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("AirPressure");
                            attr.setValue(airpressure);
                            attrlist.add(attr);
                        }
                        Float humidity = item.getHumidity();
                        if (humidity != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Humidity");
                            attr.setValue(humidity);
                            attrlist.add(attr);
                        }
                        Float precipitation = item.getPrecipitation();
                        if (precipitation != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("Precipitation");
                            attr.setValue(precipitation);
                            attrlist.add(attr);
                        }
                        Float precipitationintensity = item.getPrecipitationintensity();
                        if (precipitationintensity != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("PrecipitationIntensity");
                            attr.setValue(precipitationintensity);
                            attrlist.add(attr);
                        }
                        Float radiationintensity = item.getRadiationintensity();
                        if (radiationintensity != null) {
                            AttrBean<Float> attr = new AttrBean<>();
                            attr.setKey("RadiationIntensity");
                            attr.setValue(radiationintensity);
                            attrlist.add(attr);
                        }
                        String cacdata = GenerateI2Xml.generateCacXml(Constant.WQX, sensorid, equipmentid, timestamp, attrlist);
                        cacdatalist.add(cacdata);
                        if ((index != 0 && index % sendlimit == 0) || index == (list.size() - 1)) {
                            String xml = GenerateI2Xml.generateEndCacXml(cacdatalist);
                            asyncMethod.sendData2(xml);
                            cacdatalist = new ArrayList<>();
                        }
                    } catch (Exception e) {
                        log.error("抛出了异常：{}" + e.getMessage());
                    }
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.MICROCLIMATEID);
        } else {
            log.info("没有查询到microcimate的数据");
        }
    }

    @Override
    public void upload_yx() {
        Upload_check upload_check = upload_checkDao.selectByPrimaryKey(Constant.YXID);
        BigInteger value = null;
        if (upload_check == null) {
            value = BigInteger.valueOf(0);
        } else {
            value = upload_check.getValue();
            if (value == null) {
                value = BigInteger.valueOf(0);
            }
        }
        List<Data_YxlDto> list = data_yxDao.selectByPrimaryKey(value);
        if (CollectionUtil.isNotEmpty(list)) {
            log.info("查询yx的数据量：" + list.size());
            BigInteger maxid = value;
            for (int index = 0; index < list.size(); index++) {
                Data_YxlDto data_yxlDto = list.get(index);
                Date dtime = data_yxlDto.getDtime();
                String equipmentid = data_yxlDto.getEquipmentId();
                String sensorid = data_yxlDto.getSensorCode();
                String tableName = data_yxlDto.getTableName();
                String field = data_yxlDto.getField();
                Integer ival = data_yxlDto.getIval();
                Integer sadr = data_yxlDto.getSadr();
                String phase = data_yxlDto.getPhase();
                BigInteger ids = data_yxlDto.getId();
                if (ids != null) {
                    int i = ids.compareTo(maxid);
                    if (i == 1) {
                        maxid = ids;
                    }
                }
                YxAttrBean<Integer> attr = new YxAttrBean<>();
                attr.setSensorid(sensorid);
                attr.setEquipmentid(equipmentid);

                String timestamp = "";
                if (dtime != null) {
                    timestamp = DateUtil.format(dtime, DatePattern.NORM_DATETIME_PATTERN);
                    attr.setTimestamp(timestamp);
                }
                attr.setPhase(phase);
                attr.setKey(field);
                attr.setValue(ival);
                if (StrUtil.equals(tableName, Constant.data_byq_jbfd)) {
                    attr.setDevicetype(Constant.BYQ_JBFD);
                } else if (StrUtil.equals(tableName, Constant.data_cnj)) {
                    attr.setDevicetype(Constant.CNJ);
                } else if (StrUtil.equals(tableName, Constant.data_dcyw)) {
                    attr.setDevicetype(Constant.DCYW);
                } else if (StrUtil.equals(tableName, Constant.data_dlq_jbfd)) {
                    attr.setDevicetype(Constant.DLQJBFD);
                } else if (StrUtil.equals(tableName, Constant.data_dr_jyjc)) {
                    attr.setDevicetype(Constant.DRJYJC);
                } else if (StrUtil.equals(tableName, Constant.data_fhdlbx)) {
                    attr.setDevicetype(Constant.FHDLBX);
                } else if (StrUtil.equals(tableName, Constant.data_fhzxq)) {
                    attr.setDevicetype(Constant.FHZXQ);
                } else if (StrUtil.equals(tableName, Constant.data_jsyhw_jyjc)) {
                    attr.setDevicetype(Constant.JSYHW);
                } else if (StrUtil.equals(tableName, Constant.data_microclimate)) {
                    attr.setDevicetype(Constant.WQX);
                } else if (StrUtil.equals(tableName, Constant.data_sf6_qtsf)) {
                    attr.setDevicetype(Constant.SF6_QTSF);
                } else if (StrUtil.equals(tableName, Constant.data_sf6_qtyl)) {
                    attr.setDevicetype(Constant.SF6_QTYL);
                } else if (StrUtil.equals(tableName, Constant.data_tx)) {
                    attr.setDevicetype(Constant.TX);
                } else if (StrUtil.equals(tableName, Constant.data_ws)) {
                    attr.setDevicetype(Constant.WS);
                } else if (StrUtil.equals(tableName, Constant.data_ysp)) {
                    attr.setDevicetype(Constant.YSP);
                }
                try {
                    String xml = GenerateI2Xml.generateYxCacXml(attr);
                    if (xml != null && !xml.equals("")) {
                        asyncMethod.sendData2(xml);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            asyncMethod.updateRecordId(maxid, Constant.YXID);
        } else {
            log.info("没有查询到yx的数据");
        }
    }

    @Override
    public void clear_history() {
        log.info("开启定时删除");
        DateTime dateTime = DateUtil.offsetDay(new Date(), -7);
        data_byq_jbfdDao.deleteData(dateTime);
        data_cnjDao.deleteData(dateTime);
        data_dcywDao.deleteData(dateTime);
        data_dlq_jbfdDao.deleteData(dateTime);
        data_dr_jyjcDao.deleteData(dateTime);
        data_fhdlbxDao.deleteData(dateTime);
        data_fhzxqDao.deleteData(dateTime);
        data_jsyhw_jyjcDao.deleteData(dateTime);
        data_microclimateDao.deleteData(dateTime);
        data_sf6_qtsfDao.deleteData(dateTime);
        data_sf6_qtylDao.deleteData(dateTime);
        data_txDao.deleteData(dateTime);
        data_wsDao.deleteData(dateTime);
        data_yspDao.deleteData(dateTime);
        data_yxDao.deleteData(dateTime);
    }

    @Override
    public ServiceBody<ListModel> list() {
        ListModel listModel = new ListModel();
        HashMap<String, BigInteger> map = new HashMap();
        List<Upload_check> upload_checks = upload_checkDao.selectAll();
        for (Upload_check item : upload_checks) {
            map.put(item.getCheckType(), item.getValue());
        }

        String today = DateUtil.today();
//        String today = "2024-02-01";

        ListModel.Beans yspbeans = new ListModel.Beans();
        yspbeans.setName("油色谱");
        Data_Ysp data_ysp1 = data_yspDao.selectMaxId();
        Data_Ysp data_ysp2 = data_yspDao.selectNowId(DateUtil.parseDate(today));
        BigInteger yspmaxid = data_ysp1.getMaxid();
        BigInteger yspuploadnum = map.get(Constant.YSPID);
        BigInteger ysptodaymaxid = data_ysp2.getMaxid();
        BigInteger ysptodayminid = data_ysp2.getMinid();
        BigDecimal ysptodaymul = NumberUtil.sub(ysptodaymaxid, ysptodayminid);
        BigDecimal ysptodayupload = NumberUtil.sub(yspuploadnum, ysptodayminid);
        yspbeans.setHistory(yspmaxid);
        yspbeans.setUploadnum(yspuploadnum);
        yspbeans.setNownum(BigInteger.valueOf(ysptodaymul.longValue()));
        yspbeans.setNowuploadnum(BigInteger.valueOf(ysptodayupload.longValue()));
        listModel.getList().add(yspbeans);

        ListModel.Beans txbeans = new ListModel.Beans();
        txbeans.setName("铁芯夹件");
        Data_Tx data_tx1 = data_txDao.selectMaxId();
        Data_Tx data_tx2 = data_txDao.selectNowId(DateUtil.parseDate(today));
        BigInteger txmaxid = data_tx1.getMaxid();
        BigInteger txuploadnum = map.get(Constant.TXID);
        BigInteger txtodaymaxid = data_tx2.getMaxid();
        BigInteger txtodayminid = data_tx2.getMinid();
        BigDecimal txtodaymul = NumberUtil.sub(txtodaymaxid, txtodayminid);
        BigDecimal txtodayupload = NumberUtil.sub(txuploadnum, txtodayminid);
        txbeans.setHistory(txmaxid);
        txbeans.setUploadnum(txuploadnum);
        txbeans.setNownum(BigInteger.valueOf(txtodaymul.longValue()));
        txbeans.setNowuploadnum(BigInteger.valueOf(txtodayupload.longValue()));
        listModel.getList().add(txbeans);

        ListModel.Beans dlqbeans = new ListModel.Beans();
        dlqbeans.setName("断路器局放");
        Data_Dlq_Jbfd data_dlq_jbfd1 = data_dlq_jbfdDao.selectMaxId();
        Data_Dlq_Jbfd data_dlq_jbfd2 = data_dlq_jbfdDao.selectNowId(DateUtil.parseDate(today));
        BigInteger dlqmaxid = data_dlq_jbfd1.getMaxid();
        BigInteger dlquploadnum = map.get(Constant.DLQJBFDID);
        BigInteger dlqtodaymaxid = data_dlq_jbfd2.getMaxid();
        BigInteger dlqtodayminid = data_dlq_jbfd2.getMinid();
        BigDecimal dlqtodaymul = NumberUtil.sub(dlqtodaymaxid, dlqtodayminid);
        BigDecimal dlqtodayupload = NumberUtil.sub(dlquploadnum, dlqtodayminid);
        dlqbeans.setHistory(dlqmaxid);
        dlqbeans.setUploadnum(dlquploadnum);
        dlqbeans.setNownum(BigInteger.valueOf(dlqtodaymul.longValue()));
        dlqbeans.setNowuploadnum(BigInteger.valueOf(dlqtodayupload.longValue()));
        listModel.getList().add(dlqbeans);


        ListModel.Beans sf6beans = new ListModel.Beans();
        sf6beans.setName("SF6气体压力");
        Data_SF6_Qtyl data_sf6_qtyl1 = data_sf6_qtylDao.selectMaxId();
        Data_SF6_Qtyl data_sf6_qtyl2 = data_sf6_qtylDao.selectNowId(DateUtil.parseDate(today));
        BigInteger sf6maxid = data_sf6_qtyl1.getMaxid();
        BigInteger sf6uploadnum = map.get(Constant.SF6QTYLID);
        BigInteger sf6todaymaxid = data_sf6_qtyl2.getMaxid();
        BigInteger sf6todayminid = data_sf6_qtyl2.getMinid();
        BigDecimal sf6todaymul = NumberUtil.sub(sf6todaymaxid, sf6todayminid);
        BigDecimal sf6todayupload = NumberUtil.sub(sf6uploadnum, sf6todayminid);
        sf6beans.setHistory(sf6maxid);
        sf6beans.setUploadnum(sf6uploadnum);
        sf6beans.setNownum(BigInteger.valueOf(sf6todaymul.longValue()));
        sf6beans.setNowuploadnum(BigInteger.valueOf(sf6todayupload.longValue()));
        listModel.getList().add(sf6beans);


        ListModel.Beans jsybeans = new ListModel.Beans();
        jsybeans.setName("避雷器");
        Data_Jsyhw_Jyjc data_jsyhw_jyjc1 = data_jsyhw_jyjcDao.selectMaxId();
        Data_Jsyhw_Jyjc data_jsyhw_jyjc2 = data_jsyhw_jyjcDao.selectNowId(DateUtil.parseDate(today));
        BigInteger jsymaxid = data_jsyhw_jyjc1.getMaxid();
        BigInteger jsyuploadnum = map.get(Constant.JSYHWJYJCID);
        BigInteger jsytodaymaxid = data_jsyhw_jyjc2.getMaxid();
        BigInteger jsytodayminid = data_jsyhw_jyjc2.getMinid();
        BigDecimal jsytodaymul = NumberUtil.sub(jsytodaymaxid, jsytodayminid);
        BigDecimal jsytodayupload = NumberUtil.sub(jsyuploadnum, jsytodayminid);
        jsybeans.setHistory(jsymaxid);
        jsybeans.setUploadnum(jsyuploadnum);
        jsybeans.setNownum(BigInteger.valueOf(jsytodaymul.longValue()));
        jsybeans.setNowuploadnum(BigInteger.valueOf(jsytodayupload.longValue()));
        listModel.getList().add(jsybeans);

        ListModel.Beans yxbeans = new ListModel.Beans();
        yxbeans.setName("遥信");
        Data_YxlDto data_yxlDto1 = data_yxDao.selectMaxId();
        Data_YxlDto data_yxlDto2 = data_yxDao.selectNowId(DateUtil.parseDate(today));
        BigInteger yxmaxid = data_yxlDto1.getMaxid();
        BigInteger yxuploadnum = map.get(Constant.YXID);
        BigInteger yxtodaymaxid = data_yxlDto2.getMaxid();
        BigInteger yxtodayminid = data_yxlDto2.getMinid();
        BigDecimal yxtodaymul = NumberUtil.sub(yxtodaymaxid, yxtodayminid);
        BigDecimal yxtodayupload = NumberUtil.sub(yxuploadnum, yxtodayminid);
        yxbeans.setHistory(yxmaxid);
        yxbeans.setUploadnum(yxuploadnum);
        yxbeans.setNownum(BigInteger.valueOf(yxtodaymul.longValue()));
        yxbeans.setNowuploadnum(BigInteger.valueOf(yxtodayupload.longValue()));
        listModel.getList().add(yxbeans);

        ServiceBody<ListModel> serviceBody = new ServiceBody<ListModel>();
        serviceBody.setCode(ServiceStatus.SUCCESS);
        serviceBody.setData(listModel);
        return serviceBody;
    }

    /**
     * 统计每日上传量
     */
    @Override
    public void statics() {
//        Date updateTime = new Date();
//        DateTime uploadTime = DateUtil.beginOfDay(updateTime);
//
//        Data_Byq_Jbfd data_byq_jbfd = data_byq_jbfdDao.selectMaxId();
//        BigInteger jbfdid = data_byq_jbfd.getMaxid();
//        if (jbfdid!=null) {
//            Upload_Statics jbfdrecord = new Upload_Statics();
//            jbfdrecord.setCheckType(Constant.BYQJBFDID);
//            jbfdrecord.setFirstValue(jbfdid);
//            jbfdrecord.setUploadTime(uploadTime);
//            jbfdrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(jbfdrecord);
//        }
//
//        Data_Cnj data_cnj = data_cnjDao.selectMaxId();
//        BigInteger cnjId = data_cnj.getMaxid();
//        if (cnjId != null) {
//            Upload_Statics cnjrecord = new Upload_Statics();
//            cnjrecord.setCheckType(Constant.CNJID);
//            cnjrecord.setFirstValue(cnjId);
//            cnjrecord.setUploadTime(uploadTime);
//            cnjrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(cnjrecord);
//        }
//
//
//        Data_Dcyw data_dcyw = data_dcywDao.selectMaxId();
//        BigInteger dcywId = data_dcyw.getId();
//        if (dcywId != null) {
//            Upload_Statics dcywrecord = new Upload_Statics();
//            dcywrecord.setCheckType(Constant.DCYWID);
//            dcywrecord.setFirstValue(dcywId);
//            dcywrecord.setUploadTime(uploadTime);
//            dcywrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(dcywrecord);
//        }
//
//        Data_Dlq_Jbfd data_dlq_jbfd = data_dlq_jbfdDao.selectMaxId();
//        BigInteger dlq_jbfdId = data_dlq_jbfd.getId();
//        if (dlq_jbfdId!=null) {
//            Upload_Statics dlq_jbfdrecord = new Upload_Statics();
//            dlq_jbfdrecord.setCheckType(Constant.DLQJBFDID);
//            dlq_jbfdrecord.setFirstValue(dlq_jbfdId);
//            dlq_jbfdrecord.setUploadTime(uploadTime);
//            dlq_jbfdrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(dlq_jbfdrecord);
//        }
//
//
//        Data_Dr_Jyjc data_dr_jyjc = data_dr_jyjcDao.selectMaxId();
//        BigInteger dr_jyjcId = data_dr_jyjc.getId();
//        if (dr_jyjcId !=null) {
//            Upload_Statics dr_jyjcrecord = new Upload_Statics();
//            dr_jyjcrecord.setCheckType(Constant.DRJYJCID);
//            dr_jyjcrecord.setFirstValue(dr_jyjcId);
//            dr_jyjcrecord.setUploadTime(uploadTime);
//            dr_jyjcrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(dr_jyjcrecord);
//        }
//
//        Data_Fhdlbx data_fhdlbx = data_fhdlbxDao.selectMaxId();
//        BigInteger fhdlbxId = data_fhdlbx.getId();
//        if (fhdlbxId!=null) {
//            Upload_Statics fhdlbxIdrecord = new Upload_Statics();
//            fhdlbxIdrecord.setCheckType(Constant.FHDLBXID);
//            fhdlbxIdrecord.setFirstValue(fhdlbxId);
//            fhdlbxIdrecord.setUploadTime(uploadTime);
//            fhdlbxIdrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(fhdlbxIdrecord);
//        }
//
//        Data_Fhzxq data_fhzxq = data_fhzxqDao.selectMaxId();
//        BigInteger fhzxqId = data_fhzxq.getId();
//        if (fhzxqId!=null) {
//            Upload_Statics fhzxqrecord = new Upload_Statics();
//            fhzxqrecord.setCheckType(Constant.FHZXQID);
//            fhzxqrecord.setFirstValue(fhzxqId);
//            fhzxqrecord.setUploadTime(uploadTime);
//            fhzxqrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(fhzxqrecord);
//        }
//
//
//        Data_Jsyhw_Jyjc data_jsyhw_jyjc = data_jsyhw_jyjcDao.selectMaxId();
//        BigInteger jsyhw_jyjcId = data_jsyhw_jyjc.getId();
//        if (jsyhw_jyjcId !=null) {
//            Upload_Statics jsyhw_jyjcrecord = new Upload_Statics();
//            jsyhw_jyjcrecord.setCheckType(Constant.JSYHWJYJCID);
//            jsyhw_jyjcrecord.setFirstValue(jsyhw_jyjcId);
//            jsyhw_jyjcrecord.setUploadTime(uploadTime);
//            jsyhw_jyjcrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(jsyhw_jyjcrecord);
//        }
//
//        Data_SF6_Qtsf data_sf6_qtsf = data_sf6_qtsfDao.selectMaxId();
//        BigInteger sf6_qtsfId = data_sf6_qtsf.getId();
//        if (sf6_qtsfId != null) {
//            Upload_Statics sf6_qtsfrecord = new Upload_Statics();
//            sf6_qtsfrecord.setCheckType(Constant.SF6QTSFID);
//            sf6_qtsfrecord.setFirstValue(sf6_qtsfId);
//            sf6_qtsfrecord.setUploadTime(uploadTime);
//            sf6_qtsfrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(sf6_qtsfrecord);
//        }
//
//        Data_SF6_Qtyl data_sf6_qtyl = data_sf6_qtylDao.selectMaxId();
//        BigInteger sf6_qtylId = data_sf6_qtyl.getId();
//        if (sf6_qtylId !=null) {
//            Upload_Statics sf6_qtylIdrecord = new Upload_Statics();
//            sf6_qtylIdrecord.setCheckType(Constant.SF6QTYLID);
//            sf6_qtylIdrecord.setFirstValue(sf6_qtylId);
//            sf6_qtylIdrecord.setUploadTime(uploadTime);
//            sf6_qtylIdrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(sf6_qtylIdrecord);
//        }
//
//        Data_Tx data_tx = data_txDao.selectMaxId();
//        BigInteger txId = data_tx.getId();
//        if (txId != null) {
//            Upload_Statics txrecord = new Upload_Statics();
//            txrecord.setCheckType(Constant.TXID);
//            txrecord.setFirstValue(txId);
//            txrecord.setUploadTime(uploadTime);
//            txrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(txrecord);
//        }
//
//
//        Data_Ws data_ws = data_wsDao.selectMaxId();
//        BigInteger wsId = data_ws.getId();
//        if (wsId!=null) {
//            Upload_Statics wsrecord = new Upload_Statics();
//            wsrecord.setCheckType(Constant.WSID);
//            wsrecord.setFirstValue(wsId);
//            wsrecord.setUploadTime(uploadTime);
//            wsrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(wsrecord);
//        }
//
//
//        Data_Ysp data_ysp = data_yspDao.selectMaxId();
//        BigInteger yspId = data_ysp.getId();
//        if (yspId!=null) {
//            Upload_Statics ysprecord = new Upload_Statics();
//            ysprecord.setCheckType(Constant.YSPID);
//            ysprecord.setFirstValue(yspId);
//            ysprecord.setUploadTime(uploadTime);
//            ysprecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(ysprecord);
//        }
//
//
//        Data_Microclimate data_microclimate = data_microclimateDao.selectMaxId();
//        BigInteger microclimateId = data_microclimate.getId();
//        if (microclimateId !=null) {
//            Upload_Statics microclimaterecord = new Upload_Statics();
//            microclimaterecord.setCheckType(Constant.MICROCLIMATEID);
//            microclimaterecord.setFirstValue(microclimateId);
//            microclimaterecord.setUploadTime(uploadTime);
//            microclimaterecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(microclimaterecord);
//        }
//
//
//        Data_YxlDto data_yxlDto = data_yxDao.selectMaxId();
//        BigInteger yxId = data_yxlDto.getId();
//        if (yxId!=null) {
//            Upload_Statics yxrecord = new Upload_Statics();
//            yxrecord.setCheckType(Constant.YXID);
//            yxrecord.setFirstValue(yxId);
//            yxrecord.setUploadTime(uploadTime);
//            yxrecord.setUpdateTime(updateTime);
//            upload_staticsDao.insertSelective(yxrecord);
//
//        }

    }


}
